//CMyVulkanProjectSetup - [2020-04-13 11:57:46]
#ifndef _CMYVULKANPROJECTSETUP_H_
#define _CMYVULKANPROJECTSETUP_H_

#include "common.h"

/*
0018E704 CMyVulkanProjectSetup::CMyVulkanProjectSetup()
0018F4DC CMyVulkanProjectSetup::GetApplicationName()
0018F4E8 CMyVulkanProjectSetup::GetApplicationVersion()
0018F4F0 CMyVulkanProjectSetup::InitDeviceFilter()
0018F540 CMyVulkanProjectSetup::FilterDevice(char const*,uint,uint,uint)
0018F544 CMyVulkanProjectSetup::ShutdownDeviceFilter()
*/

class CMyVulkanProjectSetup {
public:
  CMyVulkanProjectSetup();                           //0018E704
  void GetApplicationName();                         //0018F4DC
  void GetApplicationVersion();                      //0018F4E8
  void InitDeviceFilter();                           //0018F4F0
  void FilterDevice(char const*, uint, uint, uint);  //0018F540
  void ShutdownDeviceFilter();                       //0018F544
};

#endif  //_CMYVULKANPROJECTSETUP_H_